> ## Documentation Index
> Fetch the complete documentation index at: https://docs.finhost.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Receive information about the available contracts for the companies  

> Available contracts for the companies



## OpenAPI

````yaml get /contracts/companies
openapi: 3.0.0
info:
  title: FinHost WLB Client API
  description: WLB Client REST API openApi 3.0 specification
  contact:
    email: odv4mail@gmail.com
  version: 1.0.0
servers:
  - url: https://client-api.dev.finhost.io
  - url: https://client-api.stage-v2.finhost.io
  - url: https://client-api-atlaspay-prod.finhost.io
security: []
tags:
  - name: Client
    description: Information about service clients
  - name: Sumsub
    description: KYC service
  - name: Contract
    description: Operations with clients contracts
  - name: Account
    description: Operations with clients accounts
  - name: Transfer
    description: Operations with clients assets
  - name: Recipient
    description: Operations with recipients
  - name: Statement
    description: List of the client statments
  - name: Company
    description: List of the client statments
paths:
  /contracts/companies:
    get:
      tags:
        - Contract
      summary: 'Receive information about the available contracts for the companies  '
      description: Available contracts for the companies
      parameters:
        - name: companyId
          in: query
          description: Company ID
          required: false
          style: form
          explode: true
          schema:
            type: string
      responses:
        '200':
          description: 200 response
          headers:
            Access-Control-Allow-Origin:
              style: simple
              explode: false
              schema:
                type: string
            Content-Type:
              style: simple
              explode: false
              schema:
                type: string
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Contracts'
        '400':
          description: Internal server error
          headers:
            Access-Control-Allow-Origin:
              style: simple
              explode: false
              schema:
                type: string
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/inline_response_400'
        '500':
          description: Internal server error
          headers:
            Access-Control-Allow-Origin:
              style: simple
              explode: false
              schema:
                type: string
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/inline_response_500'
      security:
        - bearerAuth: []
components:
  schemas:
    Contracts:
      type: array
      items:
        $ref: '#/components/schemas/Contracts_inner'
    inline_response_400:
      type: object
      properties:
        message:
          type: string
          description: Application error
          example: The client has been already initiated
    inline_response_500:
      type: object
      properties:
        message:
          type: string
          description: Server error
          example: Client initiation failed
    Contracts_inner:
      required:
        - available
        - clientType
        - id
        - level
        - params
        - title
      type: object
      properties:
        id:
          type: string
          description: Contract ID
          example: BasicContract
        title:
          type: string
          description: Contract title
          example: Basic contract
        level:
          type: number
          description: Contract priority level
          example: 10
        available:
          type: boolean
          description: True if available
          example: true
        params:
          type: array
          description: Contract params
          items:
            required:
              - action
              - calculated
              - controllers
              - description
              - operation
              - scope
              - title
            type: object
            properties:
              title:
                type: string
                description: Parameter title
                example: Account initiation
              description:
                type: string
                description: Parameter description
                example: Creates new account for the client
              calculated:
                type: boolean
                description: True if calculated by controllers
                example: true
              operation:
                type: string
                description: System operation
                example: maintenance
                enum:
                  - maintenance
                  - transfer
              scope:
                type: string
                description: System scope
                example: disposable
                enum:
                  - disposable
                  - renewable
                  - scheduled
                  - convey
                  - withdrawal
                  - deposit
              action:
                type: string
                description: System action
                example: accountInitiation
              controllers:
                type: array
                description: Controllers to handle the action
                example:
                  - accountLimit
                  - transferPlane
                  - systemLimit
                items:
                  type: string
              accountLimit:
                type: array
                description: Account limits
                items:
                  required:
                    - accounts
                    - currency
                  type: object
                  properties:
                    currency:
                      maxLength: 3
                      minLength: 3
                      type: string
                      description: Currency code (ISO 4217)
                      example: USD
                    accounts:
                      minimum: 1
                      type: integer
                      description: Limit for the currency
                      example: 2
              transferPlane:
                type: array
                description: Transfer plans
                items:
                  required:
                    - calculator
                    - currency
                    - flat
                    - from
                    - percentage
                  type: object
                  properties:
                    currency:
                      maxLength: 3
                      minLength: 3
                      type: string
                      description: Currency code (ISO 4217)
                      example: USD
                    calculator:
                      type: string
                      description: Fee calculator
                      example: max
                      enum:
                        - max
                        - min
                        - sum
                    from:
                      type: number
                      description: Start point
                      example: 0
                    flat:
                      type: number
                      description: Flat fee
                      example: 0.03
                    percentage:
                      type: number
                      description: Percentage fee
                      example: 0.01
              systemLimit:
                type: string
                description: System limit controller
                example: riskLevel
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````